:root {
	--yellow: #fad047;
	--blue: #6bd5ff;

	--font-family: "Inter", sans-serif;
	--sections-movement: 120px;
}

html, body {
    width: 100%;
    height: 100%;
}

html {
	color: white;
	background-color: var(--blue);

	font-family: var(--font-family);
	font-size: 16px;

	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

body {
	display: flex;
	justify-content: center;
	align-items: center;
	margin: 0;
}

* {
	box-sizing: border-box;
}

/* #region TEXT */

span {
	display: flex;
	gap: 1rem;
	align-items: center;
    justify-content: center;
}

span i {
	font-size: 1.5rem;
}

h1, h2 {
	text-transform: uppercase;
}

h1, .section-title {
	font-size: 3.5rem;
}

h1 {
	letter-spacing: 0.5rem;
}

/* #endregion */

/* #region BUTTONS */

button {
	padding: 0;
	color: inherit;
	background: none;
	border: none;
	font: inherit;
	outline: none;
	-webkit-tap-highlight-color: transparent;
	cursor: pointer;
}

.button {
	padding: 5px 20px;
	color: black;
	background-color: white;
	border-radius: 10px;
	font-size: 1rem;
	transform: translateY(0);
	transition: transform 200ms;
	white-space: nowrap;
}

.button:not(.menu-button) i {
	margin-right: 0.5rem;
}

.button:hover {
	transform: translateY(-3px) scale(1.05);
}

.menu-button {
	display: flex;
    gap: 15px;
    align-items: center;
    justify-content: center;
	flex-direction: column;
	width: 8rem;
	padding: 15px 30px;
    font-size: 1.25rem;
}

.buttons {
	display: flex;
	gap: 1.25rem;
}

.icon {
	font-size: 3.5rem;
}

.icon#back-button {
	position: absolute;
	top: 60px;
	left: 60px;
}

/* #endregion */

/* #region SECTIONS */

canvas, main {
	position: fixed;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
}

canvas {
	touch-action: none;
	z-index: 1;
}

main {
	z-index: 2;
}

section, aside {
	--margin: 30px;

	position: relative;
	display: flex;
	align-items: center;
	flex-direction: column;
	position: absolute;
	top: 0;
	left: 0;
	width: calc(100% - var(--margin) * 2);
	height: calc(100% - var(--margin) * 2);
	margin: var(--margin);
	padding: 30px;
	background-color: rgba(0, 0, 0, 0.6);
	backdrop-filter: blur(10px);
	transition: transform 200ms ease-in-out, opacity 300ms ease-in-out;
}

section:not(.active), aside:not(.active) {
	opacity: 0;
	pointer-events: none;
}

section:not(.active) {
	transform: translateY(var(--sections-movement));
}

section.sub-menu:not(.active) {
	transform: translateX(var(--sections-movement));
}

aside:not(.active) {
	transform: translateX(calc(var(--sections-movement) * -1));
}

section .buttons {
	display: flex;
	justify-content: center;
	align-items: center;
	height: 100%;
	padding-bottom: 120px;
}

/* #endregion */

/* #region WIN SCREEN */

#win-screen {
	width: 500px;
	max-width: calc(100% - var(--margin) * 2);
}

#win-screen .stars {
	display: flex;
	align-items: center;
	justify-content: center;
}

#win-screen .stars > * {
	font-size: 3rem;
	color: var(--yellow);
}

#win-screen .stars > *:nth-child(2) {
	font-size: 3.5rem;
	margin-bottom: 20px;
}

#win-screen h3 {
	margin-top: 0;
}

#win-screen .stats {
	display: flex;
	align-items: flex-start;
	flex-direction: column;
	width: 50%;
	margin: 3rem 0;
}

/* #endregion */

/* #region HUD */

#hud {
	flex-direction: row;
	align-items: flex-start;
	justify-content: flex-start;
	gap: 2rem;
	padding: 0;
	background: none;
	backdrop-filter: none;
}

#hud p {
	margin: 0;
}

/* #endregion */

/* #region MENU */



/* #endregion */

/* #region RESPONSIVENESS */

@media screen and (max-width: 550px) {
	.icon#back-button {
		position: relative;
		top: 0;
		left: 0;
	}
}

/* #endregion */
